| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Attrib::ExtAttribCalc Class Referenceabstract
AttributeEngine

Generic class for attribs that does not come from the attribute engine. More...

`#include <externalattrib.h>`

Inheritance diagram for Attrib::ExtAttribCalc:
[legend]

## Public Member Functions
virtual | ~ExtAttribCalc ()
virtual bool | createAttrib (const BinIDValueSet &, SeisTrcBuf &, TaskRunner *)
virtual ConstRefMan< RegularSeisDataPack > | createAttrib (const TrcKeyZSampling &, const RegularSeisDataPack *prevdp, TaskRunner *)
virtual ConstRefMan< RegularSeisDataPack > | createAttrib (const TrcKeyZSampling &, TaskRunner *)
virtual bool | createAttrib (ObjectSet< BinIDValueSet > &, TaskRunner *)
virtual ConstRefMan< RandomSeisDataPack > | createRdmTrcAttrib (const ZGate &, const RandomLineID &, TaskRunner *)
virtual bool | isIndexes () const
| mOD_DisableCopy (ExtAttribCalc) virtual bool setTargetSelSpec(const SelSpec &)=0

## Public Attributes
uiString | errmsg_

## Protected Member Functions
| ExtAttribCalc ()

## Detailed Description

Generic class for attribs that does not come from the attribute engine.

<>

## Constructor & Destructor Documentation

## ◆ ~ExtAttribCalc()

virtual Attrib::ExtAttribCalc::~ExtAttribCalc | ( |  | ) |
| virtual

## ◆ ExtAttribCalc()

Attrib::ExtAttribCalc::ExtAttribCalc | ( |  | ) |
| protected

## Member Function Documentation

## ◆ createAttrib() [1/4]

virtual bool Attrib::ExtAttribCalc::createAttrib | ( | const BinIDValueSet & | ,
|  | SeisTrcBuf & | ,
|  | TaskRunner * | )
| virtual

Reimplemented in VolProc::ExternalAttribCalculator.

## ◆ createAttrib() [2/4]

virtual ConstRefMan< RegularSeisDataPack > Attrib::ExtAttribCalc::createAttrib | ( | const TrcKeyZSampling & | ,
|  | const RegularSeisDataPack * | prevdp,
|  | TaskRunner * | )
| virtual

Reimplemented in VolProc::ExternalAttribCalculator.

## ◆ createAttrib() [3/4]

virtual ConstRefMan< RegularSeisDataPack > Attrib::ExtAttribCalc::createAttrib | ( | const TrcKeyZSampling & | ,
|  | TaskRunner * | )
| virtual

Reimplemented in VolProc::ExternalAttribCalculator.

## ◆ createAttrib() [4/4]

virtual bool Attrib::ExtAttribCalc::createAttrib | ( | ObjectSet< BinIDValueSet > & | ,
|  | TaskRunner * | )
| virtual

Reimplemented in VolProc::ExternalAttribCalculator.

## ◆ createRdmTrcAttrib()

virtual ConstRefMan< RandomSeisDataPack > Attrib::ExtAttribCalc::createRdmTrcAttrib | ( | const ZGate & | ,
|  | const RandomLineID & | ,
|  | TaskRunner * | )
| virtual

## ◆ isIndexes()

virtual bool Attrib::ExtAttribCalc::isIndexes | ( |  | ) | const
| inline virtual

## ◆ mOD_DisableCopy()

Attrib::ExtAttribCalc::mOD_DisableCopy | ( | ExtAttribCalc |  | ) | const &
| pure virtual

Returns
  if this object can compute it or not.

## Member Data Documentation

## ◆ errmsg_

uiString Attrib::ExtAttribCalc::errmsg_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025